// Popis: Knihovna s uzitecnymi funkcemi
// Autor: VasaM
// Licence: CC BY 4.0 CZ



// Funkce na pridani prepinace
function addFilter(title, icon, id, position = -1) {
	var filter = '<div class="filter" title="' + title + '">';
	filter    += '  <img class="filtericon" src="' + icon + '">';
	filter    += '  <div class="switch" id="' + id + '"></div>';
	filter    += '</div>';

	if (position == -1) {
		$('#filter-panel').append(filter);
	}
	else {
		$('#filter-panel .filter').eq(position).before(filter);
	}		

	$('#filter-panel').width('auto');
}


// Funkce pro pridani copyrightu pro ikony ze stranek icons8.com
// Je mozne ji volat opakovane, copyright se prida jen jednou
var icons8CopyrightCalled = false;
function icons8Copyright() {
	if (!icons8CopyrightCalled) {
		icons8CopyrightCalled = true;

		addCopyright('Icons8', 'Icons by <a target="_blank" href="https://icons8.com">Icons8</a>');
	}
}


// Funkce pro pridani libovolnych dat do sekce copyrightu
function addCopyright(title, content) {
	ggmregister('onload', function() {
		$('#copyright div.w3-container').append('<h5>' + title + '</h5><p>' + content + '</p>');
	});
}


function ggmap_extensions_ggm_init() {
}
